// Spawning tool.
TOOL.Category		= "[ VMF-Suite ]";
TOOL.Name		= "Spawn";
TOOL.Command		= nil;
TOOL.ConfigName		= "";

// language
if ( CLIENT ) then
	language.Add( "spawn_tool", "Spawn" );
	language.Add( "Tool_spawn_tool_name", "VMF-Suite Spawn Tool" );
	language.Add( "Tool_spawn_tool_desc", "Spawns the VMFs you load." );
	language.Add( "Tool_spawn_tool_0", "" );

end

// Left click.
function TOOL:LeftClick( tr )
	// client doesn't do the spawning, we do.
	if( CLIENT ) then return true; end
	
	// load our active vmf.
	VMFSuite.LoadingSystem:LoadActiveVMF( self:GetOwner(), tr );

	//
	return true;
	
end

// Holster.
function TOOL:Holster( )
	// again, client doesn't do anything.
	if( CLIENT ) then return; end
	
	// wipe the preview away.
	VMFSuite.PreviewSystem:Clear( self:GetOwner() );

end

// Build context panel.
function TOOL.BuildCPanel( CPanel )

end
